Using XCode 4.5.1 with c4d 13



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 05/10/2012 at 13:46, xxxxxxxx wrote:

    User Information:
    Cinema 4D Version:   13/14 
    Platform:      Mac OSX  ; 
    Language(s) :     C++  ;

    ---------
    I just wanted to install and use XCode 4.5.1 on my Macbook running MacOS 10.7.5 and do compiles while I am out of office. Seems many changes happened until XCode 3.2.6, which I use on my desktop Mac and which runs fine.
    I am not able to run XCode 3.2.x with 10.7.5 so I have to deal with it somehow.
    Trying to compile the SDK I get several warnings and errors which all seem to relate to denied Permissions. I already set all permissions to read and write for the plugins folder and its sub folders, so I am sure there must be another reason.

    The warning says:
    "couldn't add 'com.apple.XCodeGenerated' tag to '/Applications/13.051_RC50565/plugins/cinema4dsdk/../../../../(build)/cinema4dsdk.build'
    No such file or directory

    One of the errors says:
    unable to create '/Applications/13.051_RC50565/plugins/cinema4dsdk/../../../../(build)'

    I have just checked the Compiler settings about the stripping issues and kept all other settings as they have been configured by the cinema 4d sdk. Anything else I have to change? Thanks for the help!



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 05/10/2012 at 14:32, xxxxxxxx wrote:

    You can in fact install 3.2.6 on Lion. I used this method: http://anatomicwax.tumblr.com/post/8064949186/installing-xcode-3-2-6-on-lion-redux which worked fine. It's best to use Xcode 4.x for R14 and 3.2.6 for versions previous to that.

    Steve



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 07/10/2012 at 09:12, xxxxxxxx wrote:

    Thanks Steve. That would be cool. I will try that.



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 13/10/2012 at 08:33, xxxxxxxx wrote:

    Sorry to come back to my original question. I get all the described errors and warnings (about permissions while trying to save build folders) even when I try to compile the SDK for C4D 14. XCode and C4D 14 are both a fresh installation on that laptop.
    Any ideas how to fix this?



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 16/10/2012 at 01:51, xxxxxxxx wrote:

    Your second error message
    "unable to create '/Applications/13.051_RC50565/plugins/cinema4dsdk/../../../../(build)'"
    indicates that Xcode is trying to create the "(build)" folder in the root of the hard drive. Not desirable anyway.
    But those message is still from your experiments with the R13 SDK, right? What happens with R14? Exactly the same errors??

    Also, to prevent any more weird Xcode problems, make sure you have the command line tools installed. To do that, open the Xcode Preferences, and then click on "Downloads". If there's an "Install" button behind ""Command Line Tools", click it.
    The command line tools tend to vanish from time to time (only Apple knows why), so even if they were already installed, you might have to reinstall them.

    Telling from the path in your error messages, it seems that you are not working with the final release as it came on DVD, but still with the release candidate. Try using the final release version of Cinema.

    Last but not least, even though you have probably already done that, use the Hard Disk Uitlity to repair your permissions.


Log in to reply